"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HistoryActionColumn = HistoryActionColumn;
exports.HistoryOriginalIdColumn = HistoryOriginalIdColumn;
const typeorm_1 = require("typeorm");
const constants_1 = require("./constants");
const history_action_enum_1 = require("./history-action.enum");
function HistoryActionColumn(column) {
    return (target, propertyKey) => {
        Reflect.defineMetadata(constants_1.TYPEORM_HELPER_HISTORY_ACTION_TYPE, propertyKey, target);
        const options = {
            default: history_action_enum_1.HistoryActionType.CREATED,
            type: "enum",
            ...column,
        };
        if (options.type === "enum" && !options.enum) {
            options.enum = Object.values(history_action_enum_1.HistoryActionType);
        }
        (0, typeorm_1.Column)(options)(target, propertyKey);
    };
}
function HistoryOriginalIdColumn(column) {
    return (target, propertyKey) => {
        Reflect.defineMetadata(constants_1.TYPEORM_HELPER_HISTORY_ORIGINAL_ID, propertyKey, target);
        (0, typeorm_1.Column)({ ...column })(target, propertyKey);
    };
}
