import { EntityTarget, QueryRunner } from "typeorm";
/**
 * Helper function for drop unique indices for history entity.
 * The default is to drop the all unique indices.
 * If you want to regenerate the index with the unique flag removed, please set keepIndex to true.
 *
 * @param {QueryRunner} queryRunner
 * @param {EntityTarget<any>} target
 * @param {boolean} [keepIndex=false] If false, drop the index. If true, regenerate the index with the unique flag removed.
 * @return {*}  {Promise<void>}
 */
export declare function dropUniqueIndices(queryRunner: QueryRunner, target: EntityTarget<any>, keepIndex?: boolean): Promise<void>;
